petsc-3.10.5 2019-03-28
Report Typos and Errors

# PETSC_MATLAB_ENGINE_

Creates a matlab engine shared by all processors in a communicator.

### Synopsis

    #include "petscmatlab.h"
    PetscMatlabEngine  PETSC_MATLAB_ENGINE_(MPI_Comm comm)

Not Collective

### Input Parameter

comm -the MPI communicator to share the engine

### Notes

Unlike almost all other PETSc routines, this does not return an error code. Usually used in the form

         PetscMatlabEngineYYY(XXX object,PETSC_MATLAB_ENGINE_(comm));

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEnginePut(), PetscMatlabEngineGet(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PetscMatlabEngineCreate(), PetscMatlabEnginePutArray(), PetscMatlabEngineGetArray(), PetscMatlabEngine, PETSC_MATLAB_ENGINE_WORLD, PETSC_MATLAB_ENGINE_SELF

### Level

developer

### Location

src/sys/classes/matlabengine/matlab.c

### Examples

src/snes/examples/tutorials/ex5.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages